;+
; .. _swr_isccp_tropflux_correlation_fig10.pro:
;
; ========================================
; swr_isccp_tropflux_correlation_fig10.pro
; ========================================
;
; DESCRIPTION
; ===========
;
; :file:`${PROJECT_OD}/TropFlux_sst_19890101_20091231.nc` 
; containing 
; sst corrected on OAFLUX grid 
; has been produced by :ref:`sst_correction_ncdf.pro`.
;
; :file:`${PROJECT_OD}/correlation_isccp_olr.idl`
; containing
; ++
; has been produced by :ref:`swr_isccp_tropflux_new_v1.pro`
;
; .. graphviz::
;
;    digraph swr_isccp_tropflux_correlation_fig10 {
;
;       sst [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/TropFlux_sst_19890101_20091231.nc"];
;       cor_olr [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/correlation_isccp_olr.idl"];
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/correlation_rmsd_olra_swra_smooth.ps"];
;
;       swr_isccp_tropflux_correlation_fig10 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro",
;       label="${TROPFLUX}/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro"];
;
;       {sst cor_olr} -> {swr_isccp_tropflux_correlation_fig10} -> {figure}
;
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  IDL> swr_isccp_tropflux_correlation_fig10
;
; TODO
; ====
;
; make it work on cratos 
; 
; get rid of restore
;
; hard coded 273 ... check unit of input (might change !!)
;
; coding rules
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110817T093449Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * complete description (not finish !)
;   * replace PROJECT_ID by PROJECT_OD
;   * use PROJECT_OD in restored file
;
; - fplod 20110422T103945Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * typo
;
; - fplod 20110420T110411Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro swr_isccp_tropflux_correlation_fig10
;
@cm_4cal
@cm_4data
@cm_4mesh
@cm_4data
@cm_project
;
reinitplt, /z,/invert
key_portrait = 1

openps, FILENAME = project_od_env+'correlation_rmsd_olra_swra_smooth.ps'
st=19890101 
en=20071231

restore, project_od_env + "correlation_isccp_olr.idl"

file=project_od_env+'TropFlux_sst_19890101_20091231.nc'
initncdf, file
sst=read_ncdf("sst", 20000101, 20091231, file=file,/nostr)
help, sst

sst=grossemoyenne(sst, "t",/nan)
lct=64
plt, cor,0.5,1, lct=lct, $
     small=[1,3,1],/rempl,/noer,/realcont, $
     charsize=cs,marge=marge, $
     subt='',title='a) Correlation (OLRA, SWRA)',xminor=1,yminor=1, $
     contour=sst-273.15, contmin=24, contmax=29, contint=1.5

closeps
end
